# openspeech

- Feature Extraction
  - MFCC
    - [LibRosa](https://librosa.github.io/librosa/generated/librosa.feature.mfcc.html)
    - [Speech Features](https://github.com/jameslyons/python_speech_features)
    - [Numpy ML](https://github.com/ddbourgin/numpy-ml)
    - [Speech Signal Processing and Classification](https://github.com/gionanide/Speech_Signal_Processing_and_Classification)
    - [Sonopy](https://github.com/MycroftAI/sonopy)
    - [SpeechPy](https://github.com/astorfi/speechpy)
  - PLP
  - LFCC
  - WPF
  - SBC
  - MWP-ACE
  - PNCC
    - [Power Normalized Cepstral Coefficients for Robust Speech Recognition](http://www.cs.cmu.edu/~robust/Papers/OnlinePNCC_V25.pdf)
    - [EVALUATION OF PNCC AND EXTENDED SPECTRAL SUBTRACTION METHODS FOR
ROBUST SPEECH RECOGNITION](https://www.eurasip.org/Proceedings/Eusipco/Eusipco2015/papers/1570104069.pdf)
    - [PNCC](https://github.com/supikiti/PNCC) 
    
    
- Model Training
  - DTW
    - [DTW Speech Recognition](https://github.com/lzm0706/DTW-Speech-Recognition)
  - HMM
    - [Speech Processing for machine learning](https://haythamfayek.com/2016/04/21/speech-processing-for-machine-learning.html)
  - ANN
    - [Deep Speech](https://github.com/mozilla/DeepSpeech)
    
- Aligners
  - [Alignment Duration](https://github.com/georgid/AlignmentDuration)
  - [Montreal Forced Aligner](https://github.com/MontrealCorpusTools/Montreal-Forced-Aligner)
  - [Prosodylab Aligner](https://github.com/prosodylab/Prosodylab-Aligner)
  - [Praat](https://github.com/praat/praat)
  - [SPPAS](https://github.com/brigittebigi/sppas)
  
- Recognizers
  - HMM
    - [Digit Recognizer](https://github.com/Ralireza/spoken-digit-recognition)
    - [Speaker Recognition](https://github.com/Abhay0899193/Speaker-Recognition)

- Generators
  - [espeak-ng](https://github.com/espeak-ng/espeak-ng)
  
  
- Applications
  - [Speaker Identification](https://github.com/GauravWaghmare/Speaker-Identification)
  - [Emotion Recognition](https://github.com/x4nth055/emotion-recognition-using-speech)
  - [Gender Recognition](https://github.com/SuperKogito/Voice-based-gender-recognition)
    
### Logging

If you want verbose information of the process please use in your script

```python
import logging
logging.basicConfig(level=logging.DEBUG)
```
